GRACE(1)

NAME
grace - command line interface
xmgrace - full-featured GUI mode
gracebat - batch mode - print and exit

DESCRIPTION
Grace is a WYSIWYG tool to make two-dimensional plots of scientific data.

SYNOPSIS
grace [ option | filename ]...
xmgrace [ option | filename ]...
gracebat [ option | filename ]...

OPTIONS

-autoscale x|y|xy|none
    Set autoscale type

-barebones
    Turn off all toolbars

-batch file
    Execute batch file on start up (i.e., after all other options have been processed and the UI initialized)

-block file
    Assume the data file is block data

-bxy x:y:etc.
    Form a set from the current block data set using the current set type from columns given in the argument

-datehint iso|european|us|days|seconds|nohint
    Set the hint for dates analysis

-dpipe descriptor
    Read data from descriptor on startup

-fixed width height
    Set canvas size fixed to width*height

-free
    Use free page layout

-graph number
    Set the current graph number

-graphtype xy|chart|fixed|polar|pie
    Set the type of the current graph

-hardcopy
    No interactive session, just print and quit

-hdevice device_name
    Set default hardcopy device. See xmgrace -version for a list of supported devices.

-install
    Install private colormap

-legend load
    Turn the graph legend on

-log x|y|xy
    Set the axis scaling of the current graph to logarithmic

-maxpath length
    Set the maximal drawing path length

-mono
    Run grace in monochrome mode (affects the display only)

-netcdf file
    Assume data file is in netCDF format. This option is present only if the netCDF support was compiled in

-netcdfxy X_var Y_var
    If -netcdf was used previously, read from the netCDF file X_var and Y_var variables and create a set. If X_var is "null" then load the index of Y to X. This option is present only if the netCDF support was compiled in

-noask
    Assume the answer is yes to all requests, if the operation would overwrite a file, grace will do so without prompting

-noinstall
    Don't use private colormap

-noprint
    In batch mode, do not print

-nosafe
    Disable safe mode

-nosigcatch
    Don't catch signals

-npipe file
    Read data from named pipe on startup

-nxy file
    Assume data file is in X Y1 Y2 Y3 ... format

-param file
    Load parameters from file to the current graph

-pexec string
    Interpret string as a parameter setting

-pipe
    Read data from stdin on startup

-printfile file
    Save print output to file

-remove
    Remove data file(s) after read

-results file
    Write results of some data manipulations to file

-rvideo
    Exchange the color indices for black and white

-safe
    Run in the safe mode (default)

-saveall file
    Save all to file

-seed value
    Integer seed for random number generator

-settype xy|xydx|...
    Set the type of the next data file

-source disk|pipe
    Source type of next data file

-timer delay
    Set allowed time slice for real time inputs to delay ms

-timestamp
    Add timestamp to plot

-version
    Show the program version, registered devices and build time configuration information.

-viewport xmin ymin xmax ymax
    Set the viewport for the current graph

-wd path
    Set the working directory

-world xmin ymin xmax ymax
    Set the world coordinates for the current graph

-usage|-help
    This message

RESOURCES

When run in the GUI mode, the interface is a subject to X resource settings.
    Please refer to the User's Guide for a list of important ones.

ENVIRONMENT

GRACE_HOME
    Specifies the directory where the Grace docs and libs are stored. Default is /usr/local/grace

GRACE_HELPVIEWER
    The shell command to run an HTML viewer for on-line browsing of the help documents. Must include at least one instance of "%s" which will be replaced with the actual URL by Grace. Default is mozilla %s

GRACE_EDITOR
    Specifies the editor which is used to edit sets. Default is xterm -e vi

GRACE_PRINT_CMD
    The print command.

GRACE_FFTW_RAM_WISDOM
    and GRACE_FFTW_WISDOM_FILE A flag (0 or 1) and a file name which determine whether a FFT should use `wisdom' when using the FFTW libraries.

FILES
In many cases, when Grace needs to access a file given with a relative pathname, it searches for the file along the following path:
 ./pathname:./.grace/pathname:~/.grace/pathname:$GRACE_HOME/pathname The following files are of a special importance: gracerc - init file loaded upon start up. templates/Default.agr - the default template, loaded whenever a new project is started. fonts/FontDataBase - the file responsible for font configuration.

SEE ALSO
grconvert(1), X(1) [or Xorg(1)], Grace User's Guide

HOME PAGE
http://plasma-gate.weizmann.ac.il/Grace/

BUGS
The best way to submit a bug report is using the "Help/Comments" menu entry. Alternatively, see the home page.

AUTHORS
Grace is derived from ACE/gr (a.k.a Xmgr ) written by Paul J Turner. From version number 4.00, the development was taken over by a team of volunteers under the coordination of Evgeny Stambulchik.

COPYRIGHT
Copyright (c) 1991-1995 Paul J Turner, Portland, OR
Copyright (c) 1996-2007 Grace Development Team

LICENSE
The program is distributed under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.